http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/gatewayresponses/{response_type}Creates a customization of a GatewayResponse of a specified response type and status code on the given RestApi.
The string identifier of the associated RestApi.
The response type of the associated GatewayResponse
The status code.
Response templates of the GatewayResponse as a string-to-string map of key-value pairs.
Response parameters (paths, query strings and headers) of the GatewayResponse as a string-to-string map of key-value pairs.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/gatewayresponses/{response_type}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/gatewayresponses/{response_type}Creates a customization of a GatewayResponse of a specified response type and status code on the given RestApi.
The string identifier of the associated RestApi.
The response type of the associated GatewayResponse
The status code.
Response templates of the GatewayResponse as a string-to-string map of key-value pairs.
Response parameters (paths, query strings and headers) of the GatewayResponse as a string-to-string map of key-value pairs.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/gatewayresponses/{response_type}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}